GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::KeyPairUIDTab Class Reference
Inheritance diagram for GpgFrontend::UI::KeyPairUIDTab:
Collaboration diagram for GpgFrontend::UI::KeyPairUIDTab:

## Signals
void | SignalUpdateUIDInfo ()

## Public Member Functions
| KeyPairUIDTab (const std::string &key_id, QWidget *parent)
| Construct a new Key Pair U I D Tab object. More...

## Protected Member Functions
void | contextMenuEvent (QContextMenuEvent *event) override

## Private Slots
void | slot_refresh_uid_list ()
void | slot_refresh_tofu_info ()
void | slot_refresh_sig_list ()
void | slot_add_sign ()
void | slot_add_sign_single ()
void | slot_add_uid ()
void | slot_del_uid ()
void | slot_del_uid_single ()
void | slot_set_primary_uid ()
void | slot_del_sign ()
void | slot_refresh_key ()
static void | slot_add_uid_result (int result)

## Private Member Functions
void | create_uid_list ()
| Create a uid list object. More...
void | create_sign_list ()
| Create a sign list object. More...
void | create_manage_uid_menu ()
| Create a manage uid menu object. More...
void | create_uid_popup_menu ()
| Create a uid popup menu object. More...
void | create_sign_popup_menu ()
| Create a sign popup menu object. More...
UIDArgsListPtr | get_uid_checked ()
| Get the uid checked object. More...
UIDArgsListPtr | get_uid_selected ()
| Get the uid selected object. More...
SignIdArgsListPtr | get_sign_selected ()
| Get the sign selected object. More...

## Private Attributes
GpgKey | m_key_
QTableWidget * | uid_list_ {}
QTableWidget * | sig_list_ {}
QTabWidget * | tofu_tabs_ {}
QMenu * | manage_selected_uid_menu_ {}
QMenu * | uid_popup_menu_ {}
QMenu * | sign_popup_menu_ {}
std::vector< GpgUID > | buffered_uids_
std::vector< GpgKeySignature > | buffered_signatures_

## Constructor & Destructor Documentation

## ◆ KeyPairUIDTab()

GpgFrontend::UI::KeyPairUIDTab::KeyPairUIDTab | ( | const std::string & | key_id,
|  | QWidget * | parent
| ) |  |

Construct a new Key Pair U I D Tab object.

Parameters

  key_id |
  parent |

References create_manage_uid_menu(), create_sign_list(), create_sign_popup_menu(), create_uid_list(), create_uid_popup_menu(), GpgFrontend::UI::SignalStation::GetInstance(), and GpgFrontend::GpgKey::IsHasMasterKey().

## Member Function Documentation

## ◆ contextMenuEvent()

void GpgFrontend::UI::KeyPairUIDTab::contextMenuEvent | ( | QContextMenuEvent * | event | ) |
| override protected

Parameters

  event |

## ◆ create_manage_uid_menu()

void GpgFrontend::UI::KeyPairUIDTab::create_manage_uid_menu | ( |  | ) |
| private

Create a manage uid menu object.

References GpgFrontend::GpgKey::IsHasMasterKey().

Referenced by KeyPairUIDTab().

## ◆ create_sign_list()

void GpgFrontend::UI::KeyPairUIDTab::create_sign_list | ( |  | ) |
| private

Create a sign list object.

Referenced by KeyPairUIDTab().

## ◆ create_sign_popup_menu()

void GpgFrontend::UI::KeyPairUIDTab::create_sign_popup_menu | ( |  | ) |
| private

Create a sign popup menu object.

Referenced by KeyPairUIDTab().

## ◆ create_uid_list()

void GpgFrontend::UI::KeyPairUIDTab::create_uid_list | ( |  | ) |
| private

Create a uid list object.

Referenced by KeyPairUIDTab().

## ◆ create_uid_popup_menu()

void GpgFrontend::UI::KeyPairUIDTab::create_uid_popup_menu | ( |  | ) |
| private

Create a uid popup menu object.

References GpgFrontend::GpgKey::IsHasMasterKey().

Referenced by KeyPairUIDTab().

## ◆ get_sign_selected()

SignIdArgsListPtr GpgFrontend::UI::KeyPairUIDTab::get_sign_selected | ( |  | ) |
| private

Get the sign selected object.

Returns
  SignIdArgsListPtr

## ◆ get_uid_checked()

UIDArgsListPtr GpgFrontend::UI::KeyPairUIDTab::get_uid_checked | ( |  | ) |
| private

Get the uid checked object.

Returns
  UIDArgsListPtr

## ◆ get_uid_selected()

UIDArgsListPtr GpgFrontend::UI::KeyPairUIDTab::get_uid_selected | ( |  | ) |
| private

Get the uid selected object.

Returns
  UIDArgsListPtr

## ◆ slot_add_uid_result

void GpgFrontend::UI::KeyPairUIDTab::slot_add_uid_result | ( | int | result | ) |
| static private slot

Parameters

  result |

The documentation for this class was generated from the following files:

- src/ui/keypair_details/KeyPairUIDTab.h
- src/ui/keypair_details/KeyPairUIDTab.cpp